## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XObjectFactory::DeleteXObjectFunctor Struct Reference

A public functor for use with stl algorithms. More...

`#include <XObjectFactory.hpp>`

Inheritance diagram for XObjectFactory::DeleteXObjectFunctor

Collaboration diagram for XObjectFactory::DeleteXObjectFunctor:

List of all members.

## Public Methods

- DeleteXObjectFunctor ( XObjectFactory& theFactoryInstance, bool fInReset = false)
- result_type operator() (argument_type theXObject) const

## Detailed Description

A public functor for use with stl algorithms.

## Constructor & Destructor Documentation

XObjectFactory::DeleteXObjectFunctor::DeleteXObjectFunctor ( | XObjectFactory & theFactoryInstance,
| bool fInReset = false )

## Member Function Documentation

result_type XObjectFactory::DeleteXObjectFunctor::operator() ( | argument_type theXObject ) const`[]`

The documentation for this struct was generated from the following file:

- XObjectFactory.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.